Package org.opensaml.xmlsec.signature

# Interface DSAKeyValue

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `DSAKeyValueImpl`

public interface DSAKeyValue extends XMLObject
XMLObject representing XML Digital Signature, version 20020212, DSAKeyValue element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`G`
`getG()`
Get the G child element.
`J`
`getJ()`
Get the J child element.
`P`
`getP()`
Get the P child element.
`PgenCounter`
`getPgenCounter()`
Get the PgenCounter element.
`Q`
`getQ()`
Get the Q child element.
`Seed`
`getSeed()`
Get the Seed element.
`Y`
`getY()`
Get the Y child element.
`void`
`setG(G newG)`
Set the G child element.
`void`
`setJ(J newJ)`
Set the J child element.
`void`
`setP(P newP)`
Set the P child element.
`void`
`setPgenCounter(PgenCounter newPgenCounter)`
Set the PgenCounter element.
`void`
`setQ(Q newQ)`
Set the Q child element.
`void`
`setSeed(Seed newSeed)`
Set the Seed element.
`void`
`setY(Y newY)`
Set the Y child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getP

@Nullable P getP()
Get the P child element.

Returns:
  the P child element

### setP

void setP(@Nullable P newP)
Set the P child element.

Parameters:
  `newP` - the new P child element

### getQ

@Nullable Q getQ()
Get the Q child element.

Returns:
  the Q child element

### setQ

void setQ(@Nullable Q newQ)
Set the Q child element.

Parameters:
  `newQ` - the new Q child element

### getG

@Nullable G getG()
Get the G child element.

Returns:
  the G child element

### setG

void setG(@Nullable G newG)
Set the G child element.

Parameters:
  `newG` - the new G child element

### getY

@Nullable Y getY()
Get the Y child element.

Returns:
  the Y child element

### setY

void setY(@Nullable Y newY)
Set the Y child element.

Parameters:
  `newY` - the new Y child element

### getJ

@Nullable J getJ()
Get the J child element.

Returns:
  the J child element

### setJ

void setJ(@Nullable J newJ)
Set the J child element.

Parameters:
  `newJ` - the new J child element

### getSeed

@Nullable Seed getSeed()
Get the Seed element.

Returns:
  the Seed element

### setSeed

void setSeed(@Nullable Seed newSeed)
Set the Seed element.

Parameters:
  `newSeed` - new Seed element

### getPgenCounter

@Nullable PgenCounter getPgenCounter()
Get the PgenCounter element.

Returns:
  the PgenCounter element

### setPgenCounter

void setPgenCounter(@Nullable PgenCounter newPgenCounter)
Set the PgenCounter element.

Parameters:
  `newPgenCounter` - new PgenCounter element